/* ２〜１６進数指定桁数表示 */

#include <stdio.h>
#include "defines.h"

void BPrintNum(int num,int base,unchar c,int keta)
{
int i;
unchar dec[2+BINT+1];
	i=make_base(num,dec,base);
	if (keta>0) while (i>BINT+2-keta) dec[--i]=c; /* end:i=keta */
	B_PRINT(&dec[i]);
}

#if 0
main()
{
	BPrintNum( 123,10,'*',10);
	B_PRINT("\r\n");
	BPrintNum(-123,-10,'*',10);
}
#endif
